For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Beneficiary Details

The API creates or modifies existing beneficiary records with the provided beneficiary ID.

You can only update a key’s owner record when you call with a beneficiary Key.

PUT /payments/beneficiaries/{id}

Body Parameters Request

Name
Type
Format / Values
Description
Required

type

string

BUSINESS, INDIVIDUAL

The beneficiary's type.

id

string

The beneficiary ID serves as the unique identifier for this beneficiary contact on the platform.

country

string

/^[A-Z]{2,2}$/

Bank country code (2-letter ISO 3166-2 country code).

Yes

currency

string

/^[A-Z]{3,3}$/

Account currency (3-letter ISO 4217 currency code).

Yes

tags

object

user_tags

object

entity

object

Yes

bank_details

object

Yes

Body Parameters Response

Name
Type
Description

active

boolean

Is this beneficiary active

name

string

A custom display name

bank_details

object

Bank account attributes

country

string

The 2 letter ISO country code this beneficiaries account is located in

currency

string

The 3 letter ISO currency code this beneficiaries bank account is setup to receive

entity

object

Beneficiary owning entity attributes

id

string

Unique id of beneficiary

type

string

Entity type (contact)

user_tags

object

A set of K/V pairs the beneficiary has been tagged with

Request Example

Response Examples

Last updated